settings.logAddedRecipes = true
settings.logRemovedRecipes = true

events.listen('recipes', function (event) {


    event.remove({id: 'minecraft:furnace'})
    event.remove({id: 'ceramics:unfired_porcelain'})
    event.remove({id: 'clickmachine:auto_clicker'})
    event.remove({id: 'mekanism:transmitter/universal_cable/basic'})
    event.remove({id: 'exnihilosequentia:end_cake'})
    event.remove({id: 'factory:factory'})
    event.remove({id: 'minecraft:flint_and_steel'})
    event.remove({id: 'mysticalagriculture:infusion_crystal'})
    event.remove({id: 'mysticalagriculture:infusion_altar'})
    event.remove({id: 'overloaded:items/functional/armor/multi_helmet'})
    event.remove({id: 'overloaded:items/functional/armor/multi_chestplate'})
    event.remove({id: 'overloaded:items/functional/armor/multi_leggings'})
    event.remove({id: 'overloaded:items/functional/armor/multi_boots'})
    event.remove({id: 'endportrec:craftable_end_portal'})
    event.remove({id: 'xreliquary:items/rending_gale'})
    event.remove({id: 'undergarden:catalyst'})
    event.remove({id: 'good_nights_sleep:strange_bed'})
    event.remove({id: 'good_nights_sleep:wretched_bed'})
    event.remove({id: 'naturescompass:natures_compass'})

    event.recipes.minecraft.stonecutting(item.of('mekanism:dust_coal', 1), 'minecraft:coal')

    event.shapeless(item.of('minecraft:flint_and_steel', 1), ['minecraft:flint', '#forge:ingots/steel'])

    event.shapeless(item.of('extendedcrafting:nether_star_block', 2), ['overloaded:nether_star_block', 'overloaded:nether_star_block'])
    event.shapeless(item.of('overloaded:nether_star_block', 2), ['extendedcrafting:nether_star_block', 'extendedcrafting:nether_star_block'])

    event.shapeless(item.of('minecraft:grass_block', 1), ['minecraft:dirt', 'exnihilosequentia:grass_seeds'])

    event.shapeless(item.of('exnihilosequentia:ingot_uranium', 2), ['bigreactors:yellorium_ingot', 'bigreactors:yellorium_ingot'])
    event.shapeless(item.of('bigreactors:yellorium_ingot', 2), ['exnihilosequentia:ingot_uranium', 'exnihilosequentia:ingot_uranium'])


    event.shaped(item.of('naturescompass:naturescompass', 1), ['MWM','WLW','MWM'], 
   {
    M: '#undergarden:mushrooms',
    W: '#minecraft:logs',
    L: 'minecraft:map'
  })

    event.shaped(item.of('good_nights_sleep:wretched_bed', 1), ['MMM','PPP'], 
   {
    P: 'undergarden:smogstem_planks',
    M: 'good_nights_sleep:despair_mushroom_block'
  })

    event.shaped(item.of('undergarden:catalyst', 1), ['GIG','IPI','GIG'], 
   {
    P: 'botania:mana_pearl',
    I: '#forge:ingots/iron',
    G: '#forge:ingots/gold'
  })

    event.shaped(item.of('xreliquary:rending_gale', 1), [' WD','GVW','SG '], 
   {
    W: 'xreliquary:bat_wing',
    D: '#forge:storage_blocks/illumenite',
    G: '#forge:ingots/gold',
    V: 'xreliquary:void_tear',
    S: '#forge:rods/wooden'
  })


    event.shaped(item.of('quark:slime_in_a_bucket', 1), [' E ','EBE',' E '], 
   {
    E: 'minecraft:slime_ball',
    B: 'minecraft:bucket'
  })


    event.shaped(item.of('overloaded:multi_boots', 1), ['EAE','ECE','ESE'], 
   {
    E: 'extendedcrafting:nether_star_block',
    C: 'overloaded:energy_core',
    S: 'extendedcrafting:ultimate_singularity',
    A: 'mysticalagriculture:supremium_boots'
  })


    event.shaped(item.of('overloaded:multi_leggings', 1), ['EAE','ECE','ESE'], 
   {
    E: 'extendedcrafting:nether_star_block',
    C: 'overloaded:energy_core',
    S: 'extendedcrafting:ultimate_singularity',
    A: 'mysticalagriculture:supremium_leggings'
  })



    event.shaped(item.of('overloaded:multi_chestplate', 1), ['EAE','ECE','ESE'], 
   {
    E: 'extendedcrafting:nether_star_block',
    C: 'overloaded:energy_core',
    S: 'extendedcrafting:ultimate_singularity',
    A: 'mysticalagriculture:supremium_chestplate'
  })


    event.shaped(item.of('overloaded:multi_helmet', 1), ['EAE','ECE','ESE'], 
   {
    E: 'extendedcrafting:nether_star_block',
    C: 'overloaded:energy_core',
    S: 'extendedcrafting:ultimate_singularity',
    A: 'mysticalagriculture:supremium_helmet'
  })




    event.shaped(item.of('netherrocks:dragonstone_gem', 1), ['EEE','EEE','EEE'], 
   {
    E: 'mysticalagriculture:dragonstone_essence'
  })
 
   event.shaped(item.of('netherrocks:ashstone_gem', 1), ['EEE','EEE','EEE'], 
   {
    E: 'mysticalagriculture:ashstone_essence'
  })

    event.shaped(item.of('netherrocks:fyrite_ore', 8), ['EEE','E E','EEE'], 
   {
    E: 'mysticalagriculture:fyrite_essence'
  })

    event.shaped(item.of('netherrocks:malachite_ore', 8), ['EEE','E E','EEE'], 
   {
    E: 'mysticalagriculture:malachite_essence'
  })

    event.shaped(item.of('netherrocks:illumenite_ore', 8), ['EEE','E E','EEE'], 
   {
    E: 'mysticalagriculture:illumenite_essence'
  })

    event.shaped(item.of('mysticalagriculture:prosperity_shard', 8), ['EEE','E E','EEE'], 
   {
    E: 'mysticalagriculture:prosperity_essence'
  })

    event.shaped(item.of('mysticalagriculture:prosperity_shard', 1), [' S ','SMS',' S '], 
   {
    S: 'mysticalagriculture:soulium_dust',
    M: '#forge:ingots/illumenite'
  })

    event.shaped(item.of('mysticalagriculture:inferium_essence', 1), [' S ','SMS',' S '], 
   {
    S: 'mysticalagriculture:soulium_dust',
    M: '#forge:ingots/malachite'
  })

    event.shaped(item.of('mysticalagriculture:infusion_crystal', 1), ['IFI','MAM','GFG'], 
   {
    I: '#forge:ingots/illumenite',
    F: '#forge:ingots/fyrite',
    M: '#forge:ingots/malachite',
    A: 'netherrocks:ashstone_gem',
    G: '#forge:ingots/argonite'
  })

    event.shaped(item.of('mysticalagriculture:infusion_altar', 1), ['GDG','RSR','SSS'], 
   {
    G: '#forge:ingots/gold',
    D: 'netherrocks:dragonstone_gem',
    R: 'minecraft:red_carpet',
    S: 'minecraft:stone'
  })

    event.shaped(item.of('factory:factory', 1), [' C ','CSC',' C '], 
   {
    C: 'minecraft:crafting_table',
    S: 'craftingstation:crafting_station'
  })

    event.shaped(item.of('mekanism:basic_universal_cable', 8), ['   ','DOD','   '], 
   {
    O: '#forge:dusts/redstone',
    D: '#forge:ingots/iron'
  })

    event.shaped(item.of('clickmachine:auto_clicker', 1), ['DDD','DOD','DRD'], 
   {
    O: 'minecraft:obsidian',
    D: 'minecraft:diorite',
    R: '#forge:storage_blocks/redstone'
  })

    event.shaped(item.of('minecraft:black_dye', 1), ['C'], 
   {
    C: 'mekanism:dust_coal'
  })

    event.shaped(item.of('exnihilosequentia:porcelain_clay', 1), ['C'], 
   {
    C: 'ceramics:unfired_porcelain'
  })

    event.shaped(item.of('ceramics:unfired_porcelain', 1), ['C'], 
   {
    C: 'exnihilosequentia:porcelain_clay'
  })

    event.shaped(item.of('minecraft:furnace', 1), ['CCC','CFC','CCC'], 
   {
    C: '#forge:cobblestone',
    F: 'minecraft:campfire'
  })










})